Improve default build configuration on windows
Assignee: J. Wienke % Done: 100%
Target version: 0.5

Description

Suggestions for build.xml by John McCrae

You could perhaps slightly improve the script by adding some conditions for
Windows

e.g.,
> <condition property="pbuf.protoc"” value="C:/protoc.exe">
> <and>
> <not><isset property="pbuf.protoc"/></not>
> <0s family="windows"/>
> </and>
> </condition>

>

(protoc.exe is not really installed anywhere)

And add some error messages with fail
> <fail>
> <condition>
> <not><available file="${pbuf.protoc}" message="Google Protocol Buffers not found"/></not>
> </condition>
> </fail>

>

Associated revisions

Revision cc16dd29 - 09/12/2011 04:44 PM - J. Wienke

add availability checks for external dependencies

refs #522

History

#1 - 09/12/2011 04:33 PM - J. Wienke
- Status changed from New to In Progress

#2 - 09/12/2011 04:34 PM - J. Wienke
- Assignee changed from S. Wrede to J. Wienke

#3 - 09/12/2011 04:51 PM - J. Wienke
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

| dont see a reason to add the condition for windows if there is no default location to assume. Nevertheless, the fail messages are added. Is this

sufficient to resolve this ticket?

#4 - 09/13/2011 06:06 PM - J. Wienke
- Status changed from Feedback to Resolved

| will close this now. Feel free to reopen.

#5 - 10/27/2011 08:17 PM - J. Moringen

- Target version changed from rsb-0.10 to 0.5
